/** VARIABLES **/

$BlackGrey: #121418;

/* GLOBAL SCSS */

@import "~bootstrap/scss/bootstrap";
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.3.0/font/bootstrap-icons.css");

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

h1,
h2,
h3,
h4,
h5,
h6,
li,
p,
a,
span,
small,
input::placeholder,
button {
  font-family: "Quicksand", sans-serif;
}

textarea:focus,
input:focus {
  outline: none;
}

// google fonts

@import url("https://fonts.googleapis.com/css2?family=Quicksand:wght@500&display=swap");

// scrollbar

* {
  scrollbar-width: none;
  scrollbar-color: #20212c;
}

/* Chrome, Edge, and Safari */
*::-webkit-scrollbar {
  width: 14px;
  border-radius: 10px;
}

*::-webkit-scrollbar-track {
  background: #20212c;
}

*::-webkit-scrollbar-thumb {
  background-color: #6a6b74;
  border-radius: 10px;
  border: transparent;
  padding: 5px;
}

/** AUTH SECTION **/

.Auth {
    background-color: #121418;
    min-height: 100vh;
    &__Menu {
      padding: 20px;
    }
    &__Logo {
      width: 200px;
      img {
        width: 100%;
      }
    }
    &__Category {
      display: flex;
      list-style: none;
      li {
        color: #fff;
        font-size: 1.3em;
        padding-right: 20px;
        &:hover {
          color: #f932d4;
          transition: all linear 300ms;
        }
      }
      a {
        text-decoration: none;
        &:active {
          color: #f932d4;
        }
      }
    }
  }
  
  /** LOGIN SECTION**/
  
  .Login {
    padding-top: 20px;
    &__Description {
      width: 70%;
      margin: 0 auto;
      color: #fff;
      text-align: center;
      h1 {
        padding-bottom: 10px;
      }
      p {
        color: #808387;
      }
    }
    &__Form {
      width: 40%;
      margin: 50px auto;
    }
    &__ForgotPassword {
      color: #fff;
      text-align: center;
    }
  
    input {
      width: 100%;
      padding: 20px;
    }
  
    .btn-primary {
      width: 100%;
      padding: 10px 20px;
      display: flex;
      justify-content: space-between;
      align-items: center;
      border: transparent;
      background: linear-gradient(to right, #57bf9c, #57bf9c, #dece7f);
      color: #000;
      font-size: 1.1em;
      i {
        font-size: 1.5em;
      }
    }
  }
  
  /** REGISTER SECTION**/
  
  .Register {
      padding-top: 20px;
      &__Description {
        width: 70%;
        margin: 0 auto;
        color: #fff;
        text-align: center;
        h1 {
          padding-bottom: 10px;
        }
        p {
          color: #808387;
        }
      }
      &__Form {
        width: 40%;
        margin: 50px auto;
      }
      &__Agree{
        width: 100%;
        .form-check {
          display: flex;
          align-items: center;
          input {
            width: 10px;
            height: 10px;
            margin-right: 20px;
          }
          label {
            color: #fff;
            font-size: 1em;
          }
        }
      }
    
      input {
        width: 100%;
        padding: 20px;
      }
    
      .btn-primary {
        width: 100%;
        padding: 10px 20px;
        display: flex;
        justify-content: space-between;
        align-items: center;
        border: transparent;
        background: linear-gradient(to right, #57bf9c, #57bf9c, #dece7f);
        color: #000;
        font-size: 1.1em;
        i {
          font-size: 1.5em;
        }
      }
    }

/* PROFILE SCSS */

.Profile {
    background-color: #121418;
    min-height: 100vh;
    display: flex;
  
    &__Main {
      width: 70%;
      margin: 0 auto;
      display: flex;
      flex-direction: column;
      &__Title {
        margin: 50px 0px;
        h1 {
          color: #ffffff;
        }
      }
      &__Form {
        width: 60%;
        margin: 0 auto;
        background-color: #20212c;
        border-radius: 20px;
        padding: 20px;
        span {
          color: #6a6b74;
          font-weight: 700;
        }
        &__Input {
          display: flex;
          justify-content: space-between;
          input {
            width: 70%;
            border: transparent;
            background-color: #414052;
            box-shadow: none;
            color: #fff;
  
            &:focus {
              background: #414052;
              box-shadow: none;
            }
          }
  
          .btn {
            background-color: #414052;
            padding: 20px;
            border: transparent;
            border-radius: 999;
            box-shadow: none;
            margin-top: 20px;
            span {
              color: #fff;
            }
          }
        }
      }
    }
  }

  /** HOME SECTION **/

.Home {
    background-color: #121418;
    min-height: 100vh;
    display: flex;
    color: #fff;
}
.intro {
   text-align: center; 
}

/** DASHBOARD SECTION **/

.Dashboard {
  background-color: $BlackGrey;
  min-height: 100vh;
  display: flex;
}

/** NAVBAR AREA **/

.Navbar {
  width: 20%;
  padding: 50px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  background-color: #20212c;

  &__Menu {
    &__Logo {
      width: 150px;
      text-align: center;
      img {
        width: 100%;
      }
    }

    nav {
      margin-top: 70px;
      ul {
        list-style: none;
        padding-left: 0%;
        li {
          color: #fff;
          padding-bottom: 30px;
          i {
            padding-right: 30px;
          }
        }
        a {
          text-decoration: none;
        }
      }
    }
  }

  &__Logout {
    nav {
      margin-top: 70px;
      ul {
        list-style: none;
        padding-left: 0%;
        li {
          color: #fff;
          cursor: pointer;
          i {
            padding-right: 30px;
            color: #a9777b;
          }
        }
        a {
          text-decoration: none;
        }
      }
    }
  }
}

/** GAMELIST AREA **/

.GameList {
  width: 70%;

  margin: 0 auto;
  &__Title {
    margin: 50px 0px;
    h1 {
      color: #ffffff;
    }
  }
  &__TopArea {
    display: flex;
    justify-content: center;
    margin: 40px 0px;
    &__Search {
      display: flex;
      justify-content: center;
      align-items: center;
      padding: 8px;
      border-radius: 5px;
      background-color: #20212c;

      button {
        background-color: transparent;
        border: transparent;
      }
      i {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 40px;
        height: 40px;
        color: #fff;
        background-color: #6a6b74;
        padding: 8px;
        margin: 0px 10px 0px 5px;
        border-radius: 5px;
      }
      input {
        padding: 5px;
        padding-right: 60px;
        border: transparent;
        background-color: transparent;
        color: #fff;
      }
    }
    &__SortBy {
      display: flex;
      justify-content: center;
      align-items: center;
      margin: 0px 0px 0px 10px;

      i {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 45px;
        height: 45px;
        color: #fff;
        background-color: #6a6b74;
        padding: 10px;
        margin: 0px 10px 0px 5px;
        border-radius: 5px;
        font-size: 1.3em;
      }
    }
  }
  &__Paginator {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 20px auto;
  }
}

/** CARD AREA **/

.CardArea {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  justify-content: start;
  align-items: center;
  overflow-y: auto;
  height: 55vh;

  a {
    text-decoration: none;
  }

  &__Item {
    width: 30%;
    height: auto;
    margin: 10px;
    display: flex;
    position: relative;
    border-radius: 10px;

    img {
      width: 100%;
      border-radius: 10px;
    }

    p {
      position: absolute;
      bottom: 0px;
      width: 100%;
      color: #fff;
      background-color: rgba(32, 33, 44, 0.511);
      backdrop-filter: blur(1.5rem);
      border-radius: 0px 0px 10px 10px;
      padding: 15px 10px;
      margin: 0;
    }
    .bi {
      position: absolute;
      top: 2%;
      right: 2%;
      color: #fff;
      background-color: rgba(32, 33, 44, 0.511);
      -webkit-backdrop-filter: blur(1.5rem);
      backdrop-filter: blur(1Zrem);
      border-radius: 10px 10px 10px 10px;
      padding: 5px 10px;
      margin: -10px 17px 10px 0px;
    }
  }
}

/** FAVORIS AREA **/

.Favoris {
  width: 70%;
  margin: 0 auto;

  &__Title {
    margin: 50px 0px;
    h1 {
      color: #ffffff;
    }
  }
  &__TopArea {
    display: flex;
    justify-content: center;
    margin: 40px 0px;
    &__Search {
      display: flex;
      justify-content: center;
      align-items: center;
      padding: 8px;
      border-radius: 5px;
      background-color: #20212c;

      i {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 40px;
        height: 40px;
        color: #fff;
        background-color: #6a6b74;
        padding: 8px;
        margin: 0px 10px 0px 5px;
        border-radius: 5px;
      }
      input {
        padding: 5px;
        padding-right: 60px;
        border: transparent;
        background-color: transparent;
        color: #fff;
      }
    }
    &__SortBy {
      display: flex;
      justify-content: center;
      align-items: center;
      margin: 0px 0px 0px 10px;

      i {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 45px;
        height: 45px;
        color: #fff;
        background-color: #6a6b74;
        padding: 10px;
        margin: 0px 10px 0px 5px;
        border-radius: 5px;
        font-size: 1.3em;
      }
    }
  }
}

/** GAME DETAILS AREA **/

.GameDetails {
  width: 83%;
  overflow-y: auto;
  overflow-x: hidden;
  position: relative;
  height: 100vh;

  &__Header {
    width: 90%;
    height: 50vh;
    margin: 50px auto 40px auto;
    position: relative;
    img {
      width: 100%;
      height: 50vh;
      position: absolute;
      z-index: 2;
      opacity: 0.5;
      filter: blur(1px);
      border-radius: 15px;
    }

    &__Main {
      position: absolute;
      text-align: center;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      z-index: 3;

      a {
        text-decoration: none;
      }
      h1 {
        color: #fff;
        font-size: 3em;
        margin-bottom: 40px;
      }
      .btn {
        width: 100%;
        background-color: #20212c;
        padding: 20px 20px;
        border: transparent;
        border-radius: 10px;
        box-shadow: none;
        &:hover {
          background-color: #6a6b74;
        }
        span {
          color: #fff;
        }
      }
    }
  }
  &__Description {
    width: 90%;
    margin: 20px auto;
    background-color: #20212c;
    border-radius: 20px;
    padding: 20px;

    .btn {
      background-color: #414052;
      padding: 20px;
      border: transparent;
      box-shadow: none;

      span {
        color: #fff;
      }
    }

    h2 {
      color: #ffffff;
      margin-bottom: 30px;
    }
    p {
      color: #ffffff;
    }
  }
  &__Others {
    width: 90%;
    margin: 20px auto;
    background-color: #20212c;
    border-radius: 20px;
    padding: 20px;

    h2 {
      color: #ffffff;
      margin-bottom: 20px;
    }
    p {
      color: #ffffff;
    }
    a {
      text-decoration: underline;
      color: #6a6b74;
      &:hover {
        color: #fff;
      }
      p {
        color: #6a6b74;
        &:hover {
          color: #fff;
        }
      }
    }
  }
  &__Chat {

    &__Main {
      width: 100%;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      align-items: start;
      &__TextArea {
        overflow-y: auto;
        overflow-x: hidden;
        margin-bottom: 20px;
        border-radius: 10px;
        padding-right: 10px;
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        &__Message {
          display: flex;
          flex-direction: column;
          justify-content: space-between;
          width: 100%;
          background-color: #414052;
          padding: 20px;
          border-radius: 10px;
          margin-bottom: 20px;
          h2 {
            color: #fff;
            font-size: 1.4em;
            margin: 0;
            margin-bottom: 10px;
          }
          p {
            color: #fff;
            margin: 0;
          }
        }
      }
      &__Search {
        display: flex;
        justify-content: start;
        align-items: start;
        padding: 8px;
        margin-bottom: 20px;
        border-radius: 5px;
        background-color: #414052;

        button {
          border: transparent;
          background-color: transparent;
        }
        i {
          display: flex;
          justify-content: center;
          align-items: center;
          width: 40px;
          height: 40px;
          color: #fff;
          background-color: #6a6b74;
          padding: 8px;
          margin: 0px 10px 0px 5px;
          border-radius: 5px;
        }
        input {
          padding: 5px;
          padding-right: 60px;
          border: transparent;
          background-color: transparent;
          color: #fff;
        }
      }
    }
  }
}